summaryrefslogtreecommitdiffstats
path: root/graphics/gimp-lqr-plugin
diff options
context:
space:
mode:
author Erik Hanson2010-05-12 23:29:42 +0200
committer David Somero2010-05-12 23:29:42 +0200
commit9722ee23ac43d302ee12a410b8ebc68573396445 (patch)
treed0a1cee813243d050bc7e3436401bf0261199f35 /graphics/gimp-lqr-plugin
parent0c3ded9b40c5b7b71aa10f0d6191164bacb7f16c (diff)
downloadslackbuilds-9722ee23ac43d302ee12a410b8ebc68573396445.tar.gz
graphics/gimp-lqr-plugin: Added to 12.2 repository
Diffstat (limited to 'graphics/gimp-lqr-plugin')
-rw-r--r--graphics/gimp-lqr-plugin/README7
-rw-r--r--graphics/gimp-lqr-plugin/gimp-lqr-plugin.SlackBuild53
-rw-r--r--graphics/gimp-lqr-plugin/gimp-lqr-plugin.info8
-rw-r--r--graphics/gimp-lqr-plugin/slack-desc19
4 files changed, 87 insertions, 0 deletions
diff --git a/graphics/gimp-lqr-plugin/README b/graphics/gimp-lqr-plugin/README
new file mode 100644
index 0000000000..fd6978653d
--- /dev/null
+++ b/graphics/gimp-lqr-plugin/README
@@ -0,0 +1,7 @@
+The GIMP Liquid Rescale plugin is a frontend to the Liquid
+Rescale Library, which provides an implementation of the Seam
+Carving algorithm as described in this paper
+(http://www.faculty.idc.ac.il/arik/imret.pdf) by Shai Avidan
+and Ariel Shamir.
+
+Requires liblqr, available at SlackBuilds.org
diff --git a/graphics/gimp-lqr-plugin/gimp-lqr-plugin.SlackBuild b/graphics/gimp-lqr-plugin/gimp-lqr-plugin.SlackBuild
new file mode 100644
index 0000000000..b7f8afcfe2
--- /dev/null
+++ b/graphics/gimp-lqr-plugin/gimp-lqr-plugin.SlackBuild
@@ -0,0 +1,53 @@
+#!/bin/sh
+
+# Slackware build script for gimp-lqr-plugin
+# Written by Erik Hanson erik@slackbuilds.org
+
+PRGNAM=gimp-lqr-plugin
+VERSION=0.6.1
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+set -eu
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --disable-static \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ABOUT-NLS AUTHORS BUGS COPYING ChangeLog INSTALL NEWS README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/graphics/gimp-lqr-plugin/gimp-lqr-plugin.info b/graphics/gimp-lqr-plugin/gimp-lqr-plugin.info
new file mode 100644
index 0000000000..b39a735c2e
--- /dev/null
+++ b/graphics/gimp-lqr-plugin/gimp-lqr-plugin.info
@@ -0,0 +1,8 @@
+PRGNAM="gimp-lqr-plugin"
+VERSION="0.6.1"
+HOMEPAGE="http://liquidrescale.wikidot.com/en:start"
+DOWNLOAD="http://liquidrescale.wikidot.com/local--files/en:download-page/gimp-lqr-plugin-0.6.1.tar.bz2"
+MD5SUM="f5f15814904d7c812eca60cbb2fc6385"
+MAINTAINER="Erik Hanson"
+EMAIL="erik@slackbuilds.org"
+APPROVED="dsomero"
diff --git a/graphics/gimp-lqr-plugin/slack-desc b/graphics/gimp-lqr-plugin/slack-desc
new file mode 100644
index 0000000000..46be4aef26
--- /dev/null
+++ b/graphics/gimp-lqr-plugin/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------|
+gimp-lqr-plugin: gimp-lqr-plugin (Liquid Rescale GIMP plugin)
+gimp-lqr-plugin:
+gimp-lqr-plugin: The GIMP Liquid Rescale plugin is a frontend to the Liquid
+gimp-lqr-plugin: Rescale Library, which provides an implementation of the Seam
+gimp-lqr-plugin: Carving algorithm as described in this paper
+gimp-lqr-plugin: (http://www.faculty.idc.ac.il/arik/imret.pdf) by Shai Avidan
+gimp-lqr-plugin: and Ariel Shamir.
+gimp-lqr-plugin:
+gimp-lqr-plugin:
+gimp-lqr-plugin:
+gimp-lqr-plugin: